
package pio

func PutU8(b []byte, v uint8) {
	b[0] = v
}

func PutI16BE(b []byte, v int16) {
	b[0] = byte(v>>8)
	b[1] = byte(v)
}

func PutU16BE(b []byte, v uint16) {
	b[0] = byte(v>>8)
	b[1] = byte(v)
}

func PutI24BE(b []byte, v int32) {
	b[0] = byte(v>>16)
	b[1] = byte(v>>8)
	b[2] = byte(v)
}

func PutU24BE(b []byte, v uint32) {
	b[0] = byte(v>>16)
	b[1] = byte(v>>8)
	b[2] = byte(v)
}

func PutI32BE(b []byte, v int32) {
	b[0] = byte(v>>24)
	b[1] = byte(v>>16)
	b[2] = byte(v>>8)
	b[3] = byte(v)
}

func PutU32BE(b []byte, v uint32) {
	b[0] = byte(v>>24)
	b[1] = byte(v>>16)
	b[2] = byte(v>>8)
	b[3] = byte(v)
}

func PutU32LE(b []byte, v uint32) {
	b[3] = byte(v>>24)
	b[2] = byte(v>>16)
	b[1] = byte(v>>8)
	b[0] = byte(v)
}

func PutU40BE(b []byte, v uint64) {
	b[0] = byte(v>>32)
	b[1] = byte(v>>24)
	b[2] = byte(v>>16)
	b[3] = byte(v>>8)
	b[4] = byte(v)
}

func PutU48BE(b []byte, v uint64) {
	b[0] = byte(v>>40)
	b[1] = byte(v>>32)
	b[2] = byte(v>>24)
	b[3] = byte(v>>16)
	b[4] = byte(v>>8)
	b[5] = byte(v)
}

func PutU64BE(b []byte, v uint64) {
	b[0] = byte(v>>56)
	b[1] = byte(v>>48)
	b[2] = byte(v>>40)
	b[3] = byte(v>>32)
	b[4] = byte(v>>24)
	b[5] = byte(v>>16)
	b[6] = byte(v>>8)
	b[7] = byte(v)
}

func PutI64BE(b []byte, v int64) {
	b[0] = byte(v>>56)
	b[1] = byte(v>>48)
	b[2] = byte(v>>40)
	b[3] = byte(v>>32)
	b[4] = byte(v>>24)
	b[5] = byte(v>>16)
	b[6] = byte(v>>8)
	b[7] = byte(v)
}

